Bug 28344 - One should be able to issue refunds against payments that have already been cashed up.
Summary: One should be able to issue refunds against payments that have already been c...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Martin Renvoize
QA Contact: Kyle M Hall
URL:
Keywords:
Depends on:
Blocks: 13985
  Show dependency treegraph
 
Reported: 2021-05-13 10:16 UTC by Martin Renvoize
Modified: 2021-07-10 23:39 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.02,20.11.08


Attachments
Bug 28344: Restore ability to issue refund against older payments (8.56 KB, patch)
2021-05-13 10:28 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 28344: Restore ability to issue refund against older payments (8.64 KB, patch)
2021-05-18 09:12 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 28344: Restore ability to issue refund against older payments (8.70 KB, patch)
2021-05-28 12:07 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2021-05-13 10:16:28 UTC
Looks like the refund action got lost when implementing the historic transactions component of the register transaction details page.

That was a mistake, refunds should be able to take place on older transactions too.
Comment 1 Martin Renvoize 2021-05-13 10:28:58 UTC
Created attachment 120915 [details] [review]
Bug 28344: Restore ability to issue refund against older payments

When implimenting the refund features into the point of sale system, it
appears that at some point we lost the ability to apply refunds against
accountlines in the historic transactions table. This patch restores
that ability.

Test plan:
1/ Add some transations via the point of sale system
2/ Navigate to the 'register details' page and note that you have the
option to refund some of the lines.
3/ Use the Cashup option to make the transactions historic
4/ Refresh the page and then select a past date to see the historic
transactions in the second datatable
5/ Note that the option to refund has not dissapeared from all lines
6/ Apply patch
7/ Refresh and note the refund option now appears as expected.
Comment 2 PTFS Europe Sandboxes 2021-05-18 09:12:15 UTC
Created attachment 121098 [details] [review]
Bug 28344: Restore ability to issue refund against older payments

When implimenting the refund features into the point of sale system, it
appears that at some point we lost the ability to apply refunds against
accountlines in the historic transactions table. This patch restores
that ability.

Test plan:
1/ Add some transations via the point of sale system
2/ Navigate to the 'register details' page and note that you have the
option to refund some of the lines.
3/ Use the Cashup option to make the transactions historic
4/ Refresh the page and then select a past date to see the historic
transactions in the second datatable
5/ Note that the option to refund has not dissapeared from all lines
6/ Apply patch
7/ Refresh and note the refund option now appears as expected.

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 3 Sally 2021-05-18 09:13:15 UTC
Works as described.
Comment 4 Kyle M Hall 2021-05-28 12:07:15 UTC
Created attachment 121478 [details] [review]
Bug 28344: Restore ability to issue refund against older payments

When implimenting the refund features into the point of sale system, it
appears that at some point we lost the ability to apply refunds against
accountlines in the historic transactions table. This patch restores
that ability.

Test plan:
1/ Add some transations via the point of sale system
2/ Navigate to the 'register details' page and note that you have the
option to refund some of the lines.
3/ Use the Cashup option to make the transactions historic
4/ Refresh the page and then select a past date to see the historic
transactions in the second datatable
5/ Note that the option to refund has not dissapeared from all lines
6/ Apply patch
7/ Refresh and note the refund option now appears as expected.

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Jonathan Druart 2021-06-21 10:05:46 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 6 Kyle M Hall 2021-07-02 11:14:56 UTC
Pushed to 21.05.x for 21.05.02
Comment 7 Fridolin Somers 2021-07-10 02:16:09 UTC
Pushed to 20.11.x for 20.11.08
Comment 8 Victor Grousset/tuxayo 2021-07-10 23:39:34 UTC
Not backported to oldoldstable (20.05.x). Feel free to ask if it's needed.